<?php

namespace xenarabia\QuranKarem;

use XF\AddOn\AbstractSetup;
use XF\AddOn\StepRunnerInstallTrait;
use XF\AddOn\StepRunnerUninstallTrait;
use XF\AddOn\StepRunnerUpgradeTrait;

class Setup extends AbstractSetup
{
	use StepRunnerInstallTrait;
	use StepRunnerUpgradeTrait;
	use StepRunnerUninstallTrait;

	public function installStep1(array $stepParams = [])
	{
		$this->schemaManager()->createTable('xa_quran_languages', function (\XF\Db\Schema\Create $table) {
			$table->addColumn('l_id', 'int')->autoIncrement();
			$table->addColumn('l_short_name', 'varchar', 255);
			$table->addColumn('l_name', 'varchar', 255);
			$table->addColumn('l_file_name', 'varchar', 255);
			$table->addColumn('l_script_name', 'varchar', 255);
			$table->addColumn('l_languages_phrase', 'varchar', 255);
			$table->addColumn('l_reciters_phrase', 'varchar', 255);
		});
	}

	public function installStep2(array $stepParams = [])
	{
		$db = \XF::db();
		$db->query("INSERT INTO xa_quran_languages ( l_id, l_short_name, l_name, l_file_name, l_script_name, l_languages_phrase, l_reciters_phrase ) VALUES 
		(1, 'ar', 'العربية', '_arabic', 'القرأن الكريم','اللغات', 'القراء'), 
		(2, 'en', 'English', '_english', 'The Holy Quran','Languages', 'Reciters')");
	}



	public function uninstall(array $stepParams = [])
	{

		$this->schemaManager()->dropTable('xa_quran_languages');
	}
}
